/*
 * SmartcardioNFC - a library providing a smartcardio implementation for NFC on Android
 *
 * Copyright (C) 2017 gematik - Gesellschaft für Telematikanwendungen der Gesundheitskarte mbH <info@gematik.de> +49 30 40041-0
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.gematik.security.test;

import android.test.ActivityInstrumentationTestCase2;

import org.spongycastle.jce.provider.BouncyCastleProvider;

import java.security.Security;

import de.gematik.security.Utilities.CardFileSystem;
import de.gematik.security.crypto.HealthcardSignatureProvider;
import de.gematik.security.impl.HealthcardContext;
import de.gematik.security.nfcCard.NfcCard;
import de.gematik.security.nfcCard.NfcHealthCardProvider;
import de.gematik.security.usbCard.UsbHealthCardProvider;

public class NfcBaseTest extends ActivityInstrumentationTestCase2<NfcHealthcardTestActivity> {
    private static final String TAG = NfcBaseTest.class.getName();

    static {
        Security.insertProviderAt(new BouncyCastleProvider(), 1);
        Security.addProvider(new NfcHealthCardProvider());
        Security.addProvider(new HealthcardSignatureProvider());
        Security.addProvider(new UsbHealthCardProvider());
    }

    protected static NfcHealthcardTestActivity activity = null;

    protected static NfcCard nfcCard = null;
    protected static HealthcardContext healthcardContext = null;
    protected static CardFileSystem cfs = null;

    public NfcBaseTest() {
        super(NfcHealthcardTestActivity.class);
    }

//    @Before
//    public void setUp() throws Exception {
//        if (activity != null) {
//            injectInstrumentation(InstrumentationRegistry.getInstrumentation());
//
//            getInstrumentation().runOnMainSync(new Runnable() {
//                public void run() {
//                    if (activity.isPausing()) {
//                        getInstrumentation().callActivityOnResume(activity);
//                    }
//                }
//            });
//        }
//    }

}
